Subject: bug#29093: networking service: support definition of bonding interface

From: Marius Bakke <[email-masked]>
Date: Thu, 02 Nov 2017 21:43:15 +0100

Ricardo Wurmus <[email-masked]> writes:

> The networking service currently does not offer a way to configure a
> bonding interface (e.g. joining two physical network interfaces to one
> bonded network interface).
>
> This would be a very useful thing to have for berlin.guixsd.org, which
> has quite a few dedicated NICs.

Well, there is one way, through Open vSwitch, but it's rather
heavy-handed if all you need is 802.3ad.

It would be good to have "libteam" as a lightweight alternative.

(...makes mental TODO...)